/* ADVERTISING_PREMIUM_PANEL */
#ADVERTISING_PREMIUM_PANEL {    position:absolute; display:none;   left:50%; top:50%;   width:500px; height:300px;   margin-left:-250px; margin-top:-150px;   background-color:#484848;   background-size: 100% 100%;   -webkit-border-radius:4px;   -moz-border-radius:4px; 	border-radius:4px;     z-index: 10000;   overflow: hidden;   color: #D3CCC2; } 
#ADVERTISING_PREMIUM_PANEL .logo{position:absolute; display:block; left:0px; top:0px; width:500px; height:300px; background-repeat: no-repeat;}
#ADVERTISING_PREMIUM_LINK{ position:absolute; display:block; left:300px; top:100px; width:180px; height:180px;   cursor: pointer; }
#ADVERTISING_PREMIUM_PANEL .info {  	position:absolute; display:block; 	right:26px; top:60px; 	width:160px; 	text-align: center; 	font-size: 10px; 	color:#FFFFFF; 	 	 }
#ADVERTISING_PREMIUM_PANEL .account_free_status {  	position:absolute; display:block; 	right:25px; top:40px; 	width:160px; 	text-align: center; 	font-size: 14px; 	color:#FFEB00; 	font-weight: bold; 	 }


#ABOUT_PANEL .logo{position:absolute; display:block; left:0px; top:0px; width:350px; height:160px; background-repeat: no-repeat;}


/*.main_tools { left:0px; 	top:0px; 	width:100%;  	 height:38px; }*/
.toolbar>li{width:30px; height:30px;  }
/* .documentBar >li{  background-image:url(graphics/applications/icons/selectionProperties2D_icon.svg);  }  */


/* WINDOWS */
.layers_win{     top:300px; left:200px; width:280px; height:240px; background-color:rgb(58, 58, 58);   }
.effects_win{     top:300px; left:300px; width:280px; height:240px; background-color:rgb(58, 58, 58);   }
.animations_win{     top:300px; left:300px; width:280px; height:240px; background-color:rgb(58, 58, 58);   }
.resources_win{     top:300px; left:100px; width:420px; height:360px; background-color:rgb(58, 58, 58);   }
.driveFileBrowser_win{     top:300px; left:400px; width:280px; height:440px; background-color:rgb(58, 58, 58);   }

.textBoxEdit_win{   top:300px; left:100px; width:280px; height:240px;    }
.textBoxEdit_win textarea {position:absolute; resize: none; outline: none;  padding:0;  background-color:rgb(235, 235, 235);  color:black; display:block;  width:100%; top:0; bottom:30px; border:none;}

.includesEdit_win{  top:300px; left:100px; width:280px; height:240px;    }
.includesEdit_win .content>div {position:absolute; padding:0;   display:block; left:10px; right:10px; top:10px; bottom:30px;   border-width: 1px;    border-color:#514B4B; }
.includesEdit_win .content>div>div { position:relative; padding:0;  display:block; width:100%; height: 50%;   border-width: 1px;    border-color:#514B4B; }
.includesEdit_win .content>div>div textarea { position:absolute; resize: none; outline: none;  padding:0;  background-color:rgb(235, 235, 235);  color:black; display:block;  width:100%; top:20px; bottom:0px; }

.titleDescriptionEdit_win{    top:300px; left:100px; width:280px; height:auto;    }

/*.titleDescriptionEdit_win .content>div {position:absolute; padding:0;   display:block; left:10px; right:10px; top:10px; bottom:30px;   border-width: 1px;    border-color:#514B4B; }
.titleDescriptionEdit_win .content>div>div { position:relative; padding:0;  display:block; width:100%; height: 50%;   border-width: 1px;    border-color:#514B4B; }
.titleDescriptionEdit_win .content>div>div textarea { position:absolute; resize: none; outline: none;  padding:0;  background-color:rgb(235, 235, 235);  color:black; display:block;  width:100%; top:20px; bottom:0px; }*/

.inlineContentEdit_win{    top:300px; left:100px; width:280px; height:240px;    }
.inlineContentEdit_win .content {bottom:30px;}
.inlineContentEdit_win textarea {position:absolute; resize: none; outline: none;  padding:0;  background-color:rgb(235, 235, 235);  color:black; display:block;  width:100%; top:0; bottom:30px; border:none;}


/* LAYERS 2D PANEL */
#LAYERS_2D_PANEL { position: absolute; top:0; bottom:26px; left:0; right:0; padding:0px;  }					
#LAYERS_2D_PANEL  .visibleTrue > #visibleState {     background-image:url(../img/visible_icon.png);   }
#LAYERS_2D_PANEL  .visibleFalse > #visibleState {    background-image:url(../img/hidden_icon.png);  }
#LAYERS_2D_PANEL  .lockedTrue  > #lockedState {   right: 0px; background-image:url(../img/locked_icon.png);  }
#LAYERS_2D_PANEL  .lockedFalse  > #lockedState {  right: 0px; background-image:url(../img/unlocked_icon.png);  }

/* LAYERS EDITING TOOLS */
#CREATE_LAYER_button>a{}
#REMOVE_LAYER_button>a{}
#MOVE_LAYER_UP_button>a{}
#MOVE_LAYER_DOWN_button>a{}
#MOVE_SELECTION_IN_LAYER_button>a{}


/* EFFECTS 2D PANEL */	
#EFFECTS_2D_PANEL { position: absolute; top:0; bottom:26px; left:0; right:0; padding: 10px;  }
#EFFECTS_2D_PANEL  .visibleTrue > #visibleState { }
#EFFECTS_2D_PANEL  .visibleFalse > #visibleState {}
#EFFECTS_2D_PANEL  .lockedTrue  > #lockedState {}
#EFFECTS_2D_PANEL  .lockedFalse  > #lockedState {}
#REMOVE_EFFECT_button>a{}
#MOVE_EFFECT_UP_button>a{}
#MOVE_EFFECT_DOWN_button>a{}


/* ANIMATIONS 2D PANEL */	
#ANIMATIONS_2D_PANEL { position: absolute; top:0; bottom:26px; left:0; right:0; padding: 10px;  }
#ANIMATIONS_2D_PANEL li .icon{ background-image:url(graphics/applications/icons/tweenList_icon.png); background-size: initial;  }

/*
#ANIMATIONS_2D_PANEL  .visibleTrue > #visibleState {     background-image:url(graphics/applications/icons/visible_icon.png);   }
#ANIMATIONS_2D_PANEL  .visibleFalse > #visibleState {   background-image:url(graphics/applications/icons/hidden_icon.png);  }
#ANIMATIONS_2D_PANEL  .lockedTrue  > #lockedState {   right: 0px; background-image:url(graphics/applications/icons/locked_icon.png);  }
#ANIMATIONS_2D_PANEL  .lockedFalse  > #lockedState {  right: 0px; background-image:url(graphics/applications/icons/unlocked_icon.png);  }
*/
#CREATE_ANIMATION_button>a{}
#REMOVE_ANIMATION_button>a{}



/* RESOURCES PANELS */
#FONTS_LIBRARY_PANEL,#GRADIENTS_LIBRARY_PANEL, #PATTERNS_LIBRARY_PANEL,#DRIVE_FILE_BROWSER_PANEL  { position: absolute; top:0; bottom:26px; left:0; right:0;   }
#FONTS_LIBRARY_PANEL li{ background-image:none ; cursor: pointer; }
#FONTS_LIBRARY_PANEL li img { width:100%;  float:left; }

/*#GRADIENTS_LIBRARY_PANEL li , #PATTERNS_LIBRARY_PANEL li { cursor: pointer; background-image:none ; border-radius: 4px 4px 4px 4px ; width: 42px; height: 42px; float: left; margin:0 4px 4px 0; padding: 0; }*/
#GRADIENTS_LIBRARY_PANEL li, #PATTERNS_LIBRARY_PANEL li {
    border: 1px solid #8f8f8f;
    border-radius: 0;
    cursor: pointer;
    float: left;
    height: 60px;
    margin: 7px;
    padding: 0;
    width: 61px;
}

#SYMBOLS_LIBRARY_PANEL .header { width:100%; height: 22px; line-height: 22px; padding: 8px; color:white; font-size: 10px;  }
#SYMBOLS_LIBRARY_PANEL ul { position: absolute; top:40px; bottom:26px; left:0; right:0; color:black;  }
#SYMBOLS_LIBRARY_PANEL ul li{ cursor:pointer;  background-image:none ; border-radius: 4px 4px 4px 4px ; width: 120px; height: 120px; float: left; margin:0 4px 4px 0; padding: 0; }
#SYMBOLS_LIBRARY_PANEL ul li a { width:100%;  position:absolute; font-size: 10px; text-align: center; bottom: 0; line-height: 20px; background-color: rgba(255,255,255,.5); }
#SYMBOLS_LIBRARY_PANEL ul li img { width:100%;  float:left; }


#INSPECTOR_PANEL { position: absolute; top:26px; bottom:28px; left:0; right:0; padding: 10px; }
#INSPECTOR_PANEL > div > .title {  	line-height: 25px;   font-size: 12px;      color:white; }


#RESOURCES_WIN_button>a{}
#LAYERS_WIN_button>a{}
#EFFECTS_WIN_button>a{}
#ANIMATIONS_WIN_button>a{}
#DRIVE_FILE_BROWSER_WIN_button>a {}

#GRADIENTS_LIBRARY_button>a{}
#PATTERNS_LIBRARY_button>a{}
#SYMBOLS_LIBRARY_button>a{}
#FONTS_LIBRARY_button>a{}

/* GLOBAL TOOLS */
	#NEW_menuItem{}
	#SAVE_AS_START_TEMPLATE_menuItem{}
	#RESET_START_TEMPLATE_menuItem{}
	#GENERATE_IMAGE_PNG_menuItem, #GENERATE_IMAGE_JPG_menuItem,#EXPORT_AS_JPG_menuItem,#EXPORT_AS_PNG_menuItem{}
	#GENERATE_SVG_menuItem{}

#RELOAD_toolButton>a{}


#MAIN_TOOLBAR_2D .logo { width:140px;background-repeat: no-repeat;}
/*
#SELECT_GLOBAL_2D_toolButton>a{background-image:url(graphics/applications/icons/selectGlobal_icon.svg);}
#SELECT_LOCAL_2D_toolButton>a{background-image:url(graphics/applications/icons/selectLocal_icon.svg);}
#PAN_2D_toolButton>a{background-image:url(graphics/applications/icons/pan_icon.svg);}
#ZOOM_2D_toolButton>a{background-image:url(graphics/applications/icons/zoomInOut_icon.svg);}
#TEXT_2D_toolButton>a{background-image:url(graphics/applications/icons/text_icon.svg);}
#BRING_FRONT_toolButton>a{background-image:url(graphics/applications/icons/bring_front_icon.svg);}
#SEND_BACK_toolButton>a{background-image:url(graphics/applications/icons/bring_back_icon.svg);}
#TEXT_ALIGN_LEFT>a{ background-image:url(graphics/applications/icons/textAlignLeft_icon.svg);  }
#TEXT_ALIGN_CENTER>a{ background-image:url(graphics/applications/icons/textAlignCenter_icon.svg);  }
#TEXT_ALIGN_RIGHT>a{ background-image:url(graphics/applications/icons/textAlignRight_icon.svg); }
#TEXT_ITALIC>a{ background-image:url(graphics/applications/icons/text_italic_icon.svg); }
#TEXT_BOLD>a{ background-image:url(graphics/applications/icons/text_bold_icon.svg); }*/


/* TOOLS 2D */
#PATH_TOOLS_2D_toolButton>a{} 
	#PATH_2D_toolButton>a{}
	#SPLIT_PATH_2D_toolButton>a{}
	#ADD_PATH_POINT_2D_toolButton>a{}
	#REMOVE_PATH_POINT_2D_toolButton>a{}
	#CONVERT_PATH_POINT_2D_toolButton>a{}

#DRAW_TOOLS_2D_toolButton>a{} 
	#LINE_2D_toolButton>a{}
	#RECT_2D_toolButton>a{}
	#ELLIPSE_2D_toolButton>a{}

#DRAW_FREEHAND_TOOLS_2D_toolButton>a{}
	#FREEHAND_2D_toolButton>a{}
	#BRUSH_2D_toolButton>a{}

#EDIT_GRAPHIC_ATTRIBUTES_2D_toolButton>a{}
	#EYEDROPPER_2D_toolButton>a{}
	#EDIT_GRADIENT_POINTS_2D_toolButton>a{}

#BRING_UP_toolButton>a{}
#BRING_DOWN_toolButton>a{}

#ALIGNMENTS_toolButton>a{}
	#ALIGN_LEFT>a{ }
	#ALIGN_VCENTER>a{}
	#ALIGN_RIGHT>a{}
	#ALIGN_TOP>a{  }
	#ALIGN_HCENTER>a{ }
	#ALIGN_BOTTOM>a{}
	
	#DISTRIBUITE_LEFT>a{}
	#DISTRIBUITE_VCENTER>a{ }
	#DISTRIBUITE_RIGHT>a{ }
	#DISTRIBUITE_TOP>a{ }
	#DISTRIBUITE_HCENTER>a{}
	#DISTRIBUITE_BOTTOM>a{}
	#DISTRIBUITE_HSPACE>a{}
	#DISTRIBUITE_VSPACE>a{}
	

#EDIT_TRANSFORM_2D_toolButton>a{}
	#ROTATE_2D_toolButton>a{}
	#HOR_REFLECT_toolButton>a{}
	#VER_REFLECT_toolButton>a{}


 #SELECTION_ACTIONS_2D_toolButton>a{}
	#CREATE_COMPOSED_PATH_menuItem{}
	#CREATE_MASK_menuItem{}
	#GROUP_menuItem{}
	#UNGROUP_menuItem{}
	#DUPLICATE_menuItem{} 
	#SELECT_ALL_menuItem{}
	#LOCK_SELECTION_menuItem{}
	#UNLOCK_ALL_menuItem{}
	#JOIN_POINTS_menuItem{}
	#EFFECT_OUTER_SHADOW_menuItem , #EFFECT_INNER_SHADOW_menuItem {}
	#USE_IMAGE_AS_PATTERN_menuItem {}
	#CUT_menuItem{}
	#COPY_menuItem{}
	#PASTE_menuItem{}
	#PASTE_IN_PLACE_menuItem{}
	#FILL_menuItem{}
	#STROKE_menuItem{}
	#STROKE_WIDTH_menuItem{}
	#TEXT_TO_PATH_menuItem{}
/* 2D PARAMETERS */





/* transform Parameters */
.parameter_docSetting { background-position: right 4px ; }
.parameter_instanceId {  background-position: right 4px ; }
.parameter_anchorLink {  background-position: right 4px ; } 
.parameter_anchorLinkTarget { background-position: right 4px ; }
.parameter_class { background-position: right 4px ; }
.parameter_position_2D {  background-position: right 15px ; }
.parameter_size_2D {  background-position: right 15px ; } 
.parameter_scale_2D { background-position: right 15px ; }
.parameter_rotation_2D { background-position: right 5px ;  }

/* TWEEN PARAMETERS */

.parameter_tweenBegin { }
.parameter_tweenDur {  }
.parameter_tweenEnd {}
.parameter_tweenRepeatCount {}
.parameter_tweenFrom {}
.parameter_tweenTo { }
.parameter_tweenAttributeName {}


/* page Parameters */
.parameter_pageFormats { background-position: right 2px ;}
.parameter_pageSize { background-position: right 14px ;}
.parameter_unityAndDecimal {  background-position: right 14px ;}
.parameter_snapValue { background-position: right 4px ;}
.parameter_grid {  background-position: right 4px ;}
.parameter_moveByArrowValue { background-position: right 4px ;}

/* text Parameters */
.parameter_textLineHeight { background-position: right 5px ;}
.parameter_fontSize {background-position: right 5px ; }

#FONT_LIST_MENU>a { }
#FONT_LIST_MENU>a select {  width:30px; height:30px; -webkit-appearance: none; background: transparent; border: 0; padding-left: 30px; }



/* graphic attributes Parameters */
.parameter_lineWidth {}

/* #ANCHOR_LINK_BUTTON>a {  background-image:url(graphics/applications/icons/link_icon.png); } */

#LINE_OPTIONS_BUTTON>a { }
	#LINE_WIDTH_menuItem{}
	#LINE_CAP_BUTT_menuItem{ }
	#LINE_CAP_ROUND_menuItem{}
	#LINE_CAP_SQUARE_menuItem{ }
	#LINE_JOIN_MITER_menuItem{}
	#LINE_JOIN_ROUND_menuItem{}
	#LINE_JOIN_BEVEL_menuItem{ }


/* cursors */
.default_cur{ cursor:default;}			
.arrowBlackOverInstance_cur{}
.arrowBlackOverVertex_cur{ cursor:url(../img/janvas_icons/arrowBlackOverVertex_cur.png) 0 0, default;}
.boundingHandle_cur{ cursor:url(../img/janvas_icons/cursors/boundingHandle_cur.png) 16 16, default;}

.arrowWhite_cur{ cursor:url(../img/janvas_icons/arrowWhite_cur.png), default;}
.arrowWhiteOverInstance_cur{  cursor:url(../img/janvas_icons/arrowWhiteOverInstance_cur.png) 0 0, default;}
.arrowWhiteOverVertex_cur{  cursor:url(../img/janvas_icons/arrowWhiteOverVertex_cur.png) 0 0, default;}

.zoom_cur{  cursor:url(../img/janvas_icons/zoom_cur.png), default;}

.pen_cur{  cursor:url(../img/janvas_icons/pen_cur.png) 16 16, default;}

.line_cur{ cursor:url(../img/janvas_icons/line_cur.png) 16 16, default; }
.lineOverVertex_cur{ cursor:url(../img/janvas_icons/lineOverVertex_cur.png) 16 16, default; }
.crosshair_cur{  cursor:url(../img/janvas_icons/crosshair_cur.png) 16 16, default;}
.crosshairOverVertex_cur{   cursor:url(../img/janvas_icons/crosshairOverVertex_cur.png) 16 16, default;}

.pathAddPoint_cur{  cursor:url(../img/janvas_icons/pathAddPoint_cur.png) 16 16, default;}
.pathAddPointOverVertex_cur{  cursor:url(../img/janvas_icons/pathAddPointOverVertex_cur.png) 16 16, default;}

.convertPathPoint_cur{  cursor:url(../img/janvas_icons/convertPathPoint_cur.png) 16 16, default;}
.convertPathPointOverVertex_cur{  cursor:url(../img/janvas_icons/convertPathPointOverVertex_cur.png) 16 16, default;}

.ellipse_cur{  cursor:url(../img/janvas_icons/ellipse_cur.png) 16 16, default;}
.ellipseOverVertex_cur{  cursor:url(../img/janvas_icons/ellipseOverVertex_cur.png) 16 16, default;}

.path_cur{  cursor:url(../img/janvas_icons/path_cur.png) 16 16, default;}
.pathOverVertex_cur{  cursor:url(../img/janvas_icons/pathOverVertex_cur.png) 16 16, default;}

.rect_cur{  cursor:url(../img/janvas_icons/rect_cur.png) 16 16, default;}
.rectOverVertex_cur{  cursor:url(../img/janvas_icons/rectOverVertex_cur.png) 16 16, default;}

.textBox_cur{  cursor:url(../img/janvas_icons/textBox_cur.png) 16 16, default;}

.editGradientPoints_cur{  cursor:url(../img/janvas_icons/editGradientPoints_cur.png) 16 16, default;}
.editGradientPointsOverVertex_cur{  cursor:url(../img/janvas_icons/editGradientPointsOverVertex_cur.png) 16 16, default;}

.eyedropper_cur{  cursor:url(../img/janvas_icons/eyedropper_cur.png) 9 24, default;}

.hand_cur{  cursor:url(../img/janvas_icons/hand_cur.png), default;}
.hand_close_cur{  cursor:url(../img/janvas_icons/hand_close_cur.png), default;}

.pathRemovePoint_cur{  cursor:url(../img/janvas_icons/pathRemovePoint_cur.png) 16 16, default;}
.pathRemovePointOverVertex_cur{  cursor:url(../img/janvas_icons/pathRemovePointOverVertex_cur.png) 16 16, default;}

.rotate_cur{  cursor:url(../img/janvas_icons/rotate_cur.png) 16 16, default;}
.rotateOverVertex_cur{  cursor:url(../img/janvas_icons/rotateOverVertex_cur.png) 16 16, default;}
.translateVertex_cur{  cursor:url(../img/janvas_icons/translateVertex_cur.png) 0 0, default;}
.translateVertexOverVertex_cur{  cursor:url(../img/janvas_icons/translateVertexOverVertex_cur.png) 0 0, default;}

.translateObject_cur{  cursor:url(../img/janvas_icons/translateObject_cur.png) 16 16, default;}
.translateObjectOverVertex_cur{  cursor:url(../img/janvas_icons/translateObjectOverVertex_cur.png) 16 16, default;}


.pathCutter_cur{  cursor:url(../img/janvas_icons/pathCutter_cur.png) 16 16, default;}
.pathCutterOverVertex_cur{  cursor:url(../img/janvas_icons/pathCutterOverVertex_cur.png) 16 16, default;}


.boundingHandle_cur{  cursor:url(../img/janvas_icons/boundingHandle_cur.png) 16 16, default;}
.boundingHandleDragOverVertex_cur{  cursor:url(../img/janvas_icons/boundingHandleDragOverVertex_cur.png) 16 16, default;}
